package application;

import javafx.event.EventHandler;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.input.KeyCode;
import javafx.scene.input.KeyEvent;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.StackPane;
import javafx.scene.paint.Color;

public class Board extends StackPane implements EventHandler<MouseEvent> {

	private Canvas canvas;
	
	public Board() {
		canvas = new Canvas();		
		canvas.setOnMouseDragged(this);
		canvas.setOnMousePressed(this);
		canvas.setOnKeyPressed(new EventHandler<KeyEvent>() {

			@Override
			public void handle(KeyEvent event) {
				//Key c to remove everything
				if(event.getCode().equals(KeyCode.C)) {
					GraphicsContext graphicsContext = canvas.getGraphicsContext2D();
					graphicsContext.clearRect(0, 0, canvas.getWidth(), canvas.getHeight());
				}
			}
			
		});
		canvas.setFocusTraversable(true);
		this.getChildren().add(canvas);
		canvas.widthProperty().bind(this.widthProperty());
		canvas.heightProperty().bind(this.heightProperty());
	}

	@Override
	public void handle(MouseEvent event) {
		GraphicsContext graphicsContext = canvas.getGraphicsContext2D();
		graphicsContext.setFill(Color.BLUE);
		graphicsContext.fillOval(event.getX(), event.getY(), 10, 10);
	}
}
