package application;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.AnchorPane;
import javafx.stage.Stage;

public class Main extends Application {

	@Override
	public void start(Stage primaryStage) throws Exception {
		FXMLLoader loader1 = new FXMLLoader(getClass().getResource("Window1.fxml"));
		FXMLLoader loader2 = new FXMLLoader(getClass().getResource("Window2.fxml"));
		AnchorPane root1 = (AnchorPane) loader1.load();
		AnchorPane root2 = (AnchorPane) loader2.load();
		Scene scene = new Scene(root1,400,400);
		SceneHandler.init(scene);
		SceneHandler.add("window1", root1);
		SceneHandler.add("window2", root2);		
		primaryStage.setScene(scene);
		primaryStage.show();		
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
