package pacman;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.stage.StageStyle;
import pacman.logic.Game;
import pacman.utils.Settings;
import pacman.view.PacmanGraphics;


public class Main extends Application {
	
	@Override
	public void start(Stage primaryStage) {
		try {
			Game game = new Game();
			PacmanGraphics pg = new PacmanGraphics(game);
			Scene scene = new Scene(pg);
			primaryStage.setScene(scene);
			primaryStage.setWidth(Settings.size);
			primaryStage.setHeight(Settings.size);
			primaryStage.setResizable(false);
			primaryStage.initStyle(StageStyle.UNDECORATED);			
			primaryStage.show();
			pg.draw();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
